#[repr(C)]
#[derive(Debug, Copy, Clone, PartialEq)]
pub struct VkTransformMatrixKHR {
    matrix: [[f32; 4]; 3],
}

impl From<[[f32; 4]; 4]> for VkTransformMatrixKHR {
    fn from(matrix: [[f32; 4]; 4]) -> Self {
        VkTransformMatrixKHR {
            matrix: [matrix[0], matrix[1], matrix[2]],
        }
    }
}
